# CythonCodeObject class

(Shortest import: `from brian2 import CythonCodeObject)`

class brian2.codegen.runtime.cython_rt.cython_rt.CythonCodeObject(*args, **kw)

  Bases: `NumpyCodeObject`

  Execute code using Cython.

  Methods

  `compile_block`(block) |
  `is_available`() | Whether this target for code generation is available.
  `run_block`(block) |
  `update_namespace`() | Update the namespace for this timestep.
  `variables_to_namespace`() |

  Details

  compile_block(block)
  classmethod is_available()

    Whether this target for code generation is available. Should use a minimal example to check whether code generation works in general.

  run_block(block)
  update_namespace()

    Update the namespace for this timestep. Should only deal with variables where the reference changes every timestep, i.e. where the current reference in `namespace` is not correct.

  variables_to_namespace()